Subject: Re: [bug#73439] [PATCH v5] gnu: libreoffice: Update to 24.8.3.2.

From: Nicolas Graves <[email-masked]>
Date: Wed, 20 Nov 2024 18:25:03 +0100

On 2024-11-20 15:05, Nicolas Graves via Guix-patches via wrote:

> On 2024-11-20 13:13, Ludovic Courtès wrote:
>> I doubt removing “std:” is necessary, is it?
>
> I can retry without, but I think the error still happens. The
> CPLUS_INCLUDE_PATH fix is only fixing the error you were experiencing,
> not the one I had at first.  I can still fiddle with that and remove
> more in the CPLUS_INCLUDE_PATH, but I've tried a lot of variations
> (including not removing std::) and this configuration is the only I
> manage to build the whole thing with.

I can confirm that it's not trivial to do better, and that the std::
removal is necessary.

-- 
Best regards,
Nicolas Graves